public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/crystal/
Date: Fri, 18 Apr 2025 15:24:24 +0000 (UTC)	[thread overview]
Message-ID: <1744989859.31ca4c923a41761b9a660d9b3684d2ddd949ba90.xgqt@gentoo> (raw)

commit:     31ca4c923a41761b9a660d9b3684d2ddd949ba90
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 18 14:13:12 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Apr 18 15:24:19 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31ca4c92

dev-lang/crystal: bump to 1.16.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-lang/crystal/Manifest              |   2 +
 dev-lang/crystal/crystal-1.16.1.ebuild | 126 +++++++++++++++++++++++++++++++++
 2 files changed, 128 insertions(+)

diff --git a/dev-lang/crystal/Manifest b/dev-lang/crystal/Manifest
index 978d61ae2abd..bba25750b1b1 100644
--- a/dev-lang/crystal/Manifest
+++ b/dev-lang/crystal/Manifest
@@ -2,3 +2,5 @@ DIST crystal-1.15.1-1-linux-x86_64.tar.gz 51499223 BLAKE2B 11f94a67c97215f410c4a
 DIST crystal-1.15.1.gh.tar.gz 3814922 BLAKE2B 0667e93e3c2b7b80d44347377303195161bfee1709fa64e78fd978cc3409813836542642ac04054d94bf280828a29e592af6db8fdbd4a7bf8f04e8ef62ca209e SHA512 3c552bf4acb06a5e0e3adae2a22cc42c8a003b91a3c9f2ce4cc80d790f5981e94178ad0667504f4d709dfa3f1bc9505ef8ae42b8eb79489f4d1396bd9fc456ff
 DIST crystal-1.16.0-1-linux-x86_64.tar.gz 51689322 BLAKE2B 853a5152d0b6addbbcafc65b7a608fa2502b3aaef47aa0c1f5f36a57e2abc93885dc6d8fffb15510d6f489b628c1118e25b8481f4e5dbd3f0e0a3b96ea2a72f5 SHA512 6d6372d47331a950c11fc02386223f16bf06b647cfe3ea7ed9a3e82d80732d93baca6786b95f2f1f26670e447000c4ee912781f8edb8c3bd639f4c08ceefd938
 DIST crystal-1.16.0.gh.tar.gz 3717850 BLAKE2B da8a4502efbfa784fc02549fb1022c00b51a00701c307fb256caa26df920667718f8f9da1a3705b682c2fe5c1e2670f9ac35fcb7877298300ba46593b66390d9 SHA512 8f1bda2bb077c989d4760f88cc065dd13bdd424547d4733bcc650315c6086fbfd1fb3fde72597f396f75675966c177df538223502ab743af0c531e0d06dc5676
+DIST crystal-1.16.1-1-linux-x86_64.tar.gz 51688372 BLAKE2B d4d1decd73b9ef4290ccaf1bde38aa5faa5e93786f6376312171a354f15b60a1952c6a1fd545108d7616bc090949b0e442a273f6b9b31e5f9549a26f56697890 SHA512 766f7e31ea348037c89bf19156fdb34e1072092759f4c5e0210bba802e1f4da02a021a4dc531c09c0b5c2bcc0b159f885155da9da19625f0c07352b140d81c88
+DIST crystal-1.16.1.gh.tar.gz 3719816 BLAKE2B 512d5d5907420a6fa4f1ed5449afe7d9f6e19f479f5817ea03dbb399103b6debe4b50443bb2fc3a21d38e6021b2293809e32db2bf5fa69be01f6825ae7123284 SHA512 e498645a3c653283c00534b813ebbbfc3a6688fc1895b266570ccd2581a286492dc92299af53509e37cf81344a527b23ac2b932e65390fab150969895e24ea4a

diff --git a/dev-lang/crystal/crystal-1.16.1.ebuild b/dev-lang/crystal/crystal-1.16.1.ebuild
new file mode 100644
index 000000000000..573dc999fa39
--- /dev/null
+++ b/dev-lang/crystal/crystal-1.16.1.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+BV="${PV}-1"
+BV_AMD64="${BV}-linux-x86_64"
+
+LLVM_COMPAT=( {18..19} )
+
+inherit llvm-r1 multiprocessing shell-completion toolchain-funcs
+
+DESCRIPTION="The Crystal Programming Language"
+HOMEPAGE="https://crystal-lang.org/
+	https://github.com/crystal-lang/crystal/"
+SRC_URI="
+	https://github.com/crystal-lang/crystal/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+	amd64? (
+		https://github.com/crystal-lang/crystal/releases/download/${BV/-*}/crystal-${BV_AMD64}.tar.gz
+	)
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc debug llvm-libunwind"
+RESTRICT="test"  # Upstream test suite not reliable.
+
+DEPEND="
+	dev-libs/boehm-gc:=[threads]
+	dev-libs/gmp:=
+	dev-libs/libatomic_ops:=
+	dev-libs/libevent:=
+	dev-libs/libpcre2:=[unicode]
+	dev-libs/pcl:=
+	$(llvm_gen_dep '
+		llvm-core/llvm:${LLVM_SLOT}=
+	')
+	llvm-libunwind? (
+		llvm-runtimes/libunwind:=
+	)
+	!llvm-libunwind? (
+		sys-libs/libunwind:=
+	)
+"
+RDEPEND="
+	${DEPEND}
+	dev-libs/libxml2
+	dev-libs/libyaml
+"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-0.27.0-gentoo-tests-long-unix.patch"
+	"${FILESDIR}/${PN}-0.27.0-gentoo-tests-long-unix-2.patch"
+	"${FILESDIR}/${PN}-1.15.0-remove-enviroment-clearing-tests.patch"
+)
+
+src_prepare() {
+	default
+
+	# Link against system boehm-gc instead of upstream prebuilt static library
+	# bug #929123, #929989 and #931100
+	# https://github.com/crystal-lang/crystal/issues/12035#issuecomment-2522606612
+	rm "${WORKDIR}/crystal-${BV}"/lib/crystal/libgc.a || die
+}
+
+src_configure() {
+	local bootstrap_path="${WORKDIR}/${PN}-${BV}/bin"
+	if [[ ! -d "${bootstrap_path}" ]] ; then
+		eerror "Binary tarball does not contain expected directory:"
+		die "'${bootstrap_path}' path does not exist."
+	fi
+
+	# crystal uses 'LLVM_TARGETS' to override default list of targets
+	unset LLVM_TARGETS
+
+	MY_EMAKE_COMMON_ARGS=(
+		PATH="${bootstrap_path}:${PATH}"
+
+		CRYSTAL_CONFIG_VERSION="${PV}"
+		CRYSTAL_CONFIG_PATH="lib:${EPREFIX}/usr/$(get_libdir)/crystal"
+
+		$(usex debug "" release=1)
+		progress=true
+		stats=1
+		threads="$(makeopts_jobs)"
+		verbose=1
+		check_lld= # disable opportunistic lld
+
+		AR="$(tc-getAR)"
+		CC="$(tc-getCC)"
+		CXX="$(tc-getCXX)"
+		LLVM_CONFIG="$(get_llvm_prefix -d)/bin/llvm-config"
+	)
+}
+
+src_compile() {
+	emake "${MY_EMAKE_COMMON_ARGS[@]}"
+
+	use doc && emake docs "${MY_EMAKE_COMMON_ARGS[@]}"
+}
+
+src_test() {
+	emake std_spec "${MY_EMAKE_COMMON_ARGS[@]}"
+}
+
+src_install() {
+	insinto "/usr/$(get_libdir)/crystal"
+	doins -r src/.
+
+	exeinto /usr/bin
+	doexe .build/crystal
+
+	newzshcomp etc/completion.zsh _crystal
+	newfishcomp etc/completion.fish crystal.fish
+
+	dodoc -r samples
+	doman "man/${PN}.1"
+	newbashcomp etc/completion.bash "${PN}"
+
+	if use doc ; then
+		docinto api
+		dodoc -r docs/.
+	fi
+}


             reply	other threads:[~2025-04-18 15:24 UTC|newest]

Thread overview: 141+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-04-18 15:24 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-09 21:40 [gentoo-commits] repo/gentoo:master commit in: dev-lang/crystal/ Maciej Barć
2025-04-09 21:40 Maciej Barć
2025-03-24 11:46 Sam James
2025-03-07 19:34 Maciej Barć
2025-03-07 19:34 Maciej Barć
2025-03-04 22:43 Sam James
2025-02-09 20:50 Maciej Barć
2025-01-30 17:44 Maciej Barć
2025-01-30 17:44 Maciej Barć
2025-01-30 17:44 Maciej Barć
2025-01-12 21:54 Maciej Barć
2025-01-09 21:22 Maciej Barć
2024-11-27 22:10 Maciej Barć
2024-11-24 15:47 Jakov Smolić
2024-11-04  0:19 Maciej Barć
2024-10-30 11:07 Sam James
2024-10-10  0:05 Maciej Barć
2024-10-10  0:05 Maciej Barć
2024-09-27  5:30 Arthur Zamarin
2024-09-25 21:16 Maciej Barć
2024-08-24 15:44 Maciej Barć
2024-08-24 15:44 Maciej Barć
2024-08-24 15:44 Maciej Barć
2024-08-17 16:06 Arthur Zamarin
2024-07-15 22:15 Maciej Barć
2024-07-12 12:35 Maciej Barć
2024-07-12 12:35 Maciej Barć
2024-07-09  2:56 Sam James
2024-06-04 15:17 Maciej Barć
2024-06-04 15:17 Maciej Barć
2024-05-18  3:19 Sam James
2024-04-13 22:56 Maciej Barć
2024-04-13 22:56 Maciej Barć
2024-04-11  1:38 Maciej Barć
2024-03-13 16:40 Maciej Barć
2024-03-08 14:50 Sam James
2024-02-06 13:07 Maciej Barć
2024-01-12 23:22 Maciej Barć
2023-12-18  0:11 Sam James
2023-12-16 21:45 Maciej Barć
2023-10-19 21:34 Maciej Barć
2023-10-17 13:39 Maciej Barć
2023-10-11  0:19 Maciej Barć
2023-10-11  0:19 Maciej Barć
2023-09-21  5:09 Sam James
2023-08-20 20:32 Maciej Barć
2023-08-20 20:32 Maciej Barć
2023-08-20 20:32 Maciej Barć
2023-08-16  2:20 Sam James
2023-07-22 13:09 Maciej Barć
2023-07-13 11:52 Maciej Barć
2023-07-13 11:52 Maciej Barć
2023-07-13 11:52 Maciej Barć
2023-07-13 11:52 Maciej Barć
2023-06-17 15:13 Sam James
2023-05-31 16:01 Sam James
2023-05-15 19:33 Maciej Barć
2023-04-27 23:00 Maciej Barć
2023-04-23 23:38 Maciej Barć
2023-04-23 23:38 Maciej Barć
2023-04-17  4:41 Sam James
2023-04-16 10:02 Maciej Barć
2023-03-26  2:34 Sam James
2023-03-12 22:52 Maciej Barć
2023-03-04  6:36 Arthur Zamarin
2023-02-12  0:48 Maciej Barć
2023-02-11 18:54 Jonas Stein
2022-07-19 18:04 Sam James
2022-07-19 18:04 Sam James
2022-03-26  0:01 Sam James
2021-12-24 23:55 Sam James
2021-10-27 14:14 Sam James
2021-08-26 10:51 Joonas Niilola
2021-07-23  7:33 Sergei Trofimovich
2021-07-17 11:22 Sergei Trofimovich
2021-04-02  9:54 Sergei Trofimovich
2021-03-27  8:18 Sergei Trofimovich
2021-03-09  8:13 Sergei Trofimovich
2021-02-12  8:22 Sergei Trofimovich
2021-02-05 10:13 Sergei Trofimovich
2021-02-05 10:13 Sergei Trofimovich
2021-01-27  7:31 Sergei Trofimovich
2020-06-20 19:49 Sergei Trofimovich
2020-06-19 20:52 Sergei Trofimovich
2020-06-09 20:36 Sergei Trofimovich
2020-05-02 17:51 Sergei Trofimovich
2020-04-07 22:07 Sergei Trofimovich
2020-04-01 21:14 Sergei Trofimovich
2020-02-26 13:13 Sergei Trofimovich
2020-02-12 22:32 Sergei Trofimovich
2019-12-19  0:15 Sergei Trofimovich
2019-12-19  0:15 Sergei Trofimovich
2019-12-11 20:59 Sergei Trofimovich
2019-09-30 21:13 Sergei Trofimovich
2019-09-30 21:13 Sergei Trofimovich
2019-09-24 19:17 Sergei Trofimovich
2019-08-13 22:45 Sergei Trofimovich
2019-08-04  9:08 Sergei Trofimovich
2019-08-04  9:08 Sergei Trofimovich
2019-06-08 11:58 Sergei Trofimovich
2019-06-02 16:39 Sergei Trofimovich
2019-04-26 16:20 Sergei Trofimovich
2019-02-16 21:15 Sergei Trofimovich
2019-02-08 20:35 Sergei Trofimovich
2018-11-07 20:06 Sergei Trofimovich
2018-09-04  8:19 Sergei Trofimovich
2018-08-09 22:34 Sergei Trofimovich
2018-05-19 16:10 Jonas Stein
2018-03-08 22:11 Sergei Trofimovich
2018-01-16 22:50 Sergei Trofimovich
2018-01-09 23:09 Sergei Trofimovich
2017-11-25 19:58 Sergei Trofimovich
2017-07-25  9:27 Sergei Trofimovich
2017-07-04 21:56 Sergei Trofimovich
2017-07-04 20:40 Sergei Trofimovich
2017-04-22 10:21 Sergei Trofimovich
2017-03-07 22:29 Sergei Trofimovich
2017-02-20 22:21 Sergei Trofimovich
2017-01-20 22:16 Sergei Trofimovich
2017-01-20 22:16 Sergei Trofimovich
2017-01-16 13:25 Sergei Trofimovich
2017-01-11  8:08 Sergei Trofimovich
2016-12-23 18:43 Sergei Trofimovich
2016-12-05 22:32 Sergei Trofimovich
2016-11-22 23:09 Sergei Trofimovich
2016-10-07 20:18 Sergei Trofimovich
2016-09-30 19:55 Sergei Trofimovich
2016-09-16 18:38 Sergei Trofimovich
2016-09-10 22:39 Sergei Trofimovich
2016-09-10 11:01 Sergei Trofimovich
2016-09-02 16:38 Sergei Trofimovich
2016-07-30  9:50 Sergei Trofimovich
2016-07-30  9:50 Sergei Trofimovich
2016-07-30  9:18 Sergei Trofimovich
2016-04-15  9:09 Ian Delaney
2016-03-26  9:48 Patrice Clement
2016-03-26  9:48 Patrice Clement
2016-03-20 22:59 Patrice Clement
2016-02-17 10:22 Patrice Clement
2016-02-02  8:48 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1744989859.31ca4c923a41761b9a660d9b3684d2ddd949ba90.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox